<!DOCTYPE html>
<html lang="en">
  <head>
    <title>BC44-JS-B18-Thanh Trúc</title>
    <!-- Required meta tags -->
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
      integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T"
      crossorigin="anonymous"
    />
    <!-- Font Awesome -->
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css"
      integrity="sha512-SzlrxWUlpfuzQ+pcUCosxcglQRNAq/DZjVsC0lE40xsADsfeQoEypE+enwcOiGjk/bSuGGKHEyjSoQ1zVisanQ=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />
    <!-- My CSS -->
    <link rel="stylesheet" href="./style.css" />
  </head>
  <body>
    <div class="container bg-info">
      <!-- Input -->
      <div class="w-75 mt-2 bg-info">
        <div class="form-group d-flex">
          <input
            type="text"
            class="form-control bg-light w-50 mt-4"
            id="nhapSo"
            placeholder="Nhập số n"
          />
          <button id="btnThemSo" class="btn btn-light mt-4">Thêm số</button>
        </div>
      </div>

      <!-- Show added number array -->
      <div class="result mt-2 mb-3 bg-light rounded">
        <span id="numArr"></span>
      </div>

      <!-- Collapse Items -->
      <div id="accordion" class="accordion pb-4">
        <div class="card mb-0">
          <div
            class="card-header collapsed"
            data-toggle="collapse"
            href="#collapseOne"
          >
            <a class="card-title"> 1/ Tổng các số dương trong mảng </a>
          </div>
          <div
            id="collapseOne"
            class="card-body collapse"
            data-parent="#accordion"
          >
            <button id="btnBai1" class="btn btn-info">Tính tổng</button>
            <div
              id="ketQuaBai1"
              class="result mt-3 mb-3 bg-light rounded"
            ></div>
          </div>
          <div
            class="card-header collapsed"
            data-toggle="collapse"
            data-parent="#accordion"
            href="#collapseTwo"
          >
            <a class="card-title"> 2/ Đếm số dương trong mảng </a>
          </div>
          <div
            id="collapseTwo"
            class="card-body collapse"
            data-parent="#accordion"
          >
            <button id="btnBai2" class="btn btn-info">Đếm</button>
            <div
              id="ketQuaBai2"
              class="result mt-3 mb-3 bg-light rounded"
            ></div>
          </div>
          <div
            class="card-header collapsed"
            data-toggle="collapse"
            data-parent="#accordion"
            href="#collapseThree"
          >
            <a class="card-title"> 3/ Tìm số nhỏ nhất trong mảng </a>
          </div>
          <div
            id="collapseThree"
            class="card-body collapse"
            data-parent="#accordion"
          >
            <button id="btnBai3" class="btn btn-info">Tìm</button>
            <div
              id="ketQuaBai3"
              class="result mt-3 mb-3 bg-light rounded"
            ></div>
          </div>
          <div
            class="card-header collapsed"
            data-toggle="collapse"
            data-parent="#accordion"
            href="#collapseFour"
          >
            <a class="card-title"> 4/ Tìm số dương nhỏ nhất trong mảng </a>
          </div>
          <div
            id="collapseFour"
            class="card-body collapse"
            data-parent="#accordion"
          >
            <button id="btnBai4" class="btn btn-info">Tìm</button>
            <div
              id="ketQuaBai4"
              class="result mt-3 mb-3 bg-light rounded"
            ></div>
          </div>
          <div
            class="card-header collapsed"
            data-toggle="collapse"
            data-parent="#accordion"
            href="#collapseFive"
          >
            <a class="card-title">
              5/ Tìm số chẵn cuối cùng trong mảng. Nếu không có số chẵn trả về
              -1
            </a>
          </div>
          <div
            id="collapseFive"
            class="card-body collapse"
            data-parent="#accordion"
          >
            <button id="btnBai5" class="btn btn-info">Tìm</button>
            <div
              id="ketQuaBai5"
              class="result mt-3 mb-3 bg-light rounded"
            ></div>
          </div>
          <div
            class="card-header collapsed"
            data-toggle="collapse"
            data-parent="#accordion"
            href="#collapseSix"
          >
            <a class="card-title"> 6/ Đổi chỗ 2 giá trị trong mảng </a>
          </div>
          <div
            id="collapseSix"
            class="card-body collapse"
            data-parent="#accordion"
          >
            <label for="">Nhập vị trí muốn đổi</label>
            <div class="form-group d-flex">
              <input
                type="text"
                class="form-control w-50"
                id="viTri1"
                placeholder="Nhập vị trí 1"
              />
              <input
                type="text"
                class="form-control w-50"
                id="viTri2"
                placeholder="Nhập vị trí 2"
              />
            </div>
            <button id="btnBai6" class="btn btn-info">Đổi chỗ</button>
            <div
              id="ketQuaBai6"
              class="result mt-3 mb-3 bg-light rounded"
            ></div>
          </div>
          <div
            class="card-header collapsed"
            data-toggle="collapse"
            data-parent="#accordion"
            href="#collapseSeven"
          >
            <a class="card-title"> 7/ Sắp xếp theo thứ tự tăng dần</a>
          </div>
          <div
            id="collapseSeven"
            class="card-body collapse"
            data-parent="#accordion"
          >
            <button id="btnBai7" class="btn btn-info">Sắp xếp</button>
            <div
              id="ketQuaBai7"
              class="result mt-3 mb-3 bg-light rounded"
            ></div>
          </div>
          <div
            class="card-header collapsed"
            data-toggle="collapse"
            data-parent="#accordion"
            href="#collapseEight"
          >
            <a class="card-title">
              8/ Tìm số nguyên tố đầu tiên trong mảng. Nếu không có trả về -1</a
            >
          </div>
          <div
            id="collapseEight"
            class="card-body collapse"
            data-parent="#accordion"
          >
            <button id="btnBai8" class="btn btn-info">Tìm</button>
            <div
              id="ketQuaBai8"
              class="result mt-3 mb-3 bg-light rounded"
            ></div>
          </div>
          <div
            class="card-header collapsed"
            data-toggle="collapse"
            data-parent="#accordion"
            href="#collapseNine"
          >
            <a class="card-title">
              9/ Nhập thêm 1 mảng số thực. Trong mảng có bao nhiêu số nguyên
            </a>
          </div>
          <div
            id="collapseNine"
            class="card-body collapse"
            data-parent="#accordion"
          >
            <div class="form-group d-flex">
              <input
                type="text"
                class="form-control w-50"
                id="nhapThemSo"
                placeholder="Nhập số"
              />
              <button id="btnThemSoBai9" class="btn btn-info">Thêm số</button>
            </div>
            <div
              id="ketQuaThemSoBai9"
              class="result mt-3 mb-3 bg-light rounded"
            ></div>
            <button id="btnBai9" class="btn btn-info">Đếm số nguyên</button>
            <div
              id="ketQuaBai9"
              class="result mt-3 mb-3 bg-light rounded"
            ></div>
          </div>
          <div
            class="card-header collapsed"
            data-toggle="collapse"
            data-parent="#accordion"
            href="#collapseTen"
          >
            <a class="card-title">
              10/ So sánh số lượng số âm và số lượng số dương</a
            >
          </div>
          <div
            id="collapseTen"
            class="card-body collapse"
            data-parent="#accordion"
          >
            <button id="btnBai10" class="btn btn-info">So sánh</button>
            <div
              id="ketQuaBai10"
              class="result mt-3 mb-3 bg-light rounded"
            ></div>
          </div>
          <!-- end card -->
        </div>
      </div>
    </div>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script
      src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
      integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
      integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
      integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
      crossorigin="anonymous"
    ></script>
    <script src="./index.js"></script>
  </body>
</html>
